# binaryninja.interaction.show_message_box

`binaryninja.interaction.``show_message_box`(title, text, buttons=<MessageBoxButtonSet.OKButtonSet: 0>, icon=<MessageBoxIcon.InformationIcon: 0>)

  `show_message_box` Displays a configurable message box in the UI, or prompts on the console as appropriate retrieves a list of all Symbol objects of the provided symbol type in the optionally provided range.

  Parameters:

  - title (str) – Text title for the message box.
  - text (str) – Text for the main body of the message box.
  - buttons (MessageBoxButtonSet) – One of `MessageBoxButtonSet`
  - icon (MessageBoxIcon) – One of `MessageBoxIcon`

  Returns: | Which button was selected
  Return type: | MessageBoxButtonResult